datacache <- new.env(hash=TRUE, parent=emptyenv())

canine2pmcfentrezg <- function() showQCData("canine2pmcfentrezg", datacache)
canine2pmcfentrezg_dbconn <- function() dbconn(datacache)
canine2pmcfentrezg_dbfile <- function() dbfile(datacache)
canine2pmcfentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
canine2pmcfentrezg_dbInfo <- function() dbInfo(datacache)

canine2pmcfentrezgORGANISM <- "Canis familiaris"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "canine2pmcfentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("CANINECHIP_DB", "canine2pmcfentrezg", "chip canine2pmcfentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(canine2pmcfentrezg_dbconn())
}

